gr::adapt::rls_filter_cc_impl Class Reference

`#include <rls_filter_cc_impl.h>`

Inheritance diagram for gr::adapt::rls_filter_cc_impl:
[legend]

## Public Member Functions

| rls_filter_cc_impl (bool firs_input, int num_taps, float mu, float eps, unsigned skip, unsigned decimation, bool adapt, bool reset)
| ~rls_filter_cc_impl ()=default
const std::vector< gr_complex > & | get_taps () override
void | set_taps (const std::vector< gr_complex > &new_taps) override
float | get_delta () const override
void | set_delta (float delta) override
float | get_lambda () const override
void | set_lambda (float lambda) override
unsigned | get_skip () const override
void | set_skip (unsigned skip) override
bool | get_adapt () const override
void | set_adapt (bool adapt) override
bool | get_reset () const override
void | set_reset (bool reset) override
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Protected Member Functions

gr_complex | error (const gr_complex &desired, const gr_complex &out)
void | update_tap (gr_complex &tap, const gr_complex &in)

## Additional Inherited Members

Public Types inherited from gr::adapt::rls_filter_cc
typedef boost::shared_ptr< rls_filter_cc > | sptr
Static Public Member Functions inherited from gr::adapt::rls_filter_cc
static sptr | make (bool first_input, int num_taps, float delta, float _lambda, unsigned skip, unsigned decimation, bool adapt, bool reset)

## Constructor & Destructor Documentation

## rls_filter_cc_impl()

gr::adapt::rls_filter_cc_impl::rls_filter_cc_impl | ( | bool | firs_input,
|  | int | num_taps,
|  | float | mu,
|  | float | eps,
|  | unsigned | skip,
|  | unsigned | decimation,
|  | bool | adapt,
|  | bool | reset
| ) |  |

## ~rls_filter_cc_impl()

gr::adapt::rls_filter_cc_impl::~rls_filter_cc_impl | ( |  | ) |

default

## Member Function Documentation

## error()

gr_complex gr::adapt::rls_filter_cc_impl::error | ( | const gr_complex & | desired,
|  | const gr_complex & | out
| ) |  |

protectedvirtual

Implements gr::adapt::rls_filter_cc.

## get_adapt()

bool gr::adapt::rls_filter_cc_impl::get_adapt | ( |  | ) | const

overridevirtual

Implements gr::adapt::rls_filter_cc.

## get_delta()

float gr::adapt::rls_filter_cc_impl::get_delta | ( |  | ) | const

overridevirtual

Implements gr::adapt::rls_filter_cc.

## get_lambda()

float gr::adapt::rls_filter_cc_impl::get_lambda | ( |  | ) | const

overridevirtual

Implements gr::adapt::rls_filter_cc.

## get_reset()

bool gr::adapt::rls_filter_cc_impl::get_reset | ( |  | ) | const

overridevirtual

Implements gr::adapt::rls_filter_cc.

## get_skip()

unsigned gr::adapt::rls_filter_cc_impl::get_skip | ( |  | ) | const

overridevirtual

Implements gr::adapt::rls_filter_cc.

## get_taps()

const std::vector< gr_complex > & gr::adapt::rls_filter_cc_impl::get_taps | ( |  | ) |

overridevirtual

Implements gr::adapt::rls_filter_cc.

## set_adapt()

void gr::adapt::rls_filter_cc_impl::set_adapt | ( | bool | adapt | ) |

overridevirtual

Implements gr::adapt::rls_filter_cc.

## set_delta()

void gr::adapt::rls_filter_cc_impl::set_delta | ( | float | delta | ) |

overridevirtual

Implements gr::adapt::rls_filter_cc.

## set_lambda()

void gr::adapt::rls_filter_cc_impl::set_lambda | ( | float | lambda | ) |

overridevirtual

Implements gr::adapt::rls_filter_cc.

## set_reset()

void gr::adapt::rls_filter_cc_impl::set_reset | ( | bool | reset | ) |

overridevirtual

Implements gr::adapt::rls_filter_cc.

## set_skip()

void gr::adapt::rls_filter_cc_impl::set_skip | ( | unsigned | skip | ) |

overridevirtual

Implements gr::adapt::rls_filter_cc.

## set_taps()

void gr::adapt::rls_filter_cc_impl::set_taps | ( | const std::vector< gr_complex > & | new_taps | ) |

overridevirtual

Implements gr::adapt::rls_filter_cc.

## update_tap()

void gr::adapt::rls_filter_cc_impl::update_tap | ( | gr_complex & | tap,
|  | const gr_complex & | in
| ) |  |

protectedvirtual

Implements gr::adapt::rls_filter_cc.

## work()

int gr::adapt::rls_filter_cc_impl::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items
| ) |  |

The documentation for this class was generated from the following file:

- rls_filter_cc_impl.h